Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.buildin.simplebigdecimal
Class SimpleBigDecimalScoreHolder

    java.lang.Object
      org.optaplanner.core.api.score.holder.AbstractScoreHolder
          org.optaplanner.core.api.score.buildin.simplebigdecimal.SimpleBigDecimalScoreHolder

All Implemented Interfaces:
  Serializable, ScoreHolder

    public class SimpleBigDecimalScoreHolder

extends AbstractScoreHolder

See Also:
  `SimpleBigDecimalScore`, Serialized Form

Field Summary
`protected BigDecimal` | `score`

Fields inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`constraintMatchEnabled, constraintMatchTotalMap`

Constructor Summary
`SimpleBigDecimalScoreHolder(boolean constraintMatchEnabled)`

Method Summary
`void` | `addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, BigDecimal weight)`
`Score` | `extractScore()` Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`.
`BigDecimal` | `getScore()`
`void` | `setScore(BigDecimal score)` Deprecated.

Methods inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`getConstraintMatchTotals, isConstraintMatchEnabled, registerBigDecimalConstraintMatch, registerDoubleConstraintMatch, registerIntConstraintMatch, registerLongConstraintMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### score

    protected BigDecimal score

Constructor Detail

### SimpleBigDecimalScoreHolder

    public SimpleBigDecimalScoreHolder(boolean constraintMatchEnabled)

Method Detail

### getScore

    public BigDecimal getScore()

### setScore

    @Deprecated
    public void setScore(BigDecimal score)

  Deprecated.

### addConstraintMatch

    public void addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                   BigDecimal weight)

### extractScore

    public Score extractScore()

  Description copied from interface: `ScoreHolder`
  Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`. Should not be called directly, use `ScoreDirector.calculateScore()` instead.

  Returns:
    never null, the `Score` of the working `Solution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.